ResourceLogEvent (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.shared.ResourceLogEvent class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.shared
Class ResourceLogEvent

    java.lang.Object
      org.hyperic.hq.events.AbstractEvent
          org.hyperic.hq.measurement.shared.ResourceLogEvent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, LoggableInterface, ResourceEventInterface

Direct Known Subclasses:
  CloningEvent, MaintenanceEvent

    public class ResourceLogEvent

extends AbstractEvent
implements java.io.Serializable, ResourceEventInterface, LoggableInterface

This event type represents an entry in the resource log

See Also:
  Serialized Form

Constructor Summary
`ResourceLogEvent(TrackEvent te)`

Method Summary
`int` | `getLevel()`
`java.lang.String` | `getLevelString()`
`static java.lang.String` | `getLevelString(int level)`
`java.lang.String` | `getMessage()`
`AppdefEntityID` | `getResource()`
`java.lang.String` | `getSource()`
`java.lang.String` | `getSubject()`
`void` | `setMessage(java.lang.String msg)`
`void` | `setResource(AppdefEntityID aid)`
`void` | `setSource(java.lang.String src)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.events.AbstractEvent
`equals, getId, getInstanceId, getTimestamp, hashCode, isLoggingSupported, setId, setInstanceId, setTimestamp`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceLogEvent

    public ResourceLogEvent(TrackEvent te)

Method Detail

### getResource

    public AppdefEntityID getResource()

  Specified by:
    `getResource` in interface `ResourceEventInterface`

### setResource

    public void setResource(AppdefEntityID aid)

### getMessage

    public java.lang.String getMessage()

### setMessage

    public void setMessage(java.lang.String msg)

### getLevel

    public int getLevel()

### getLevelString

    public java.lang.String getLevelString()

  Specified by:
    `getLevelString` in interface `LoggableInterface`

### getSource

    public java.lang.String getSource()

### setSource

    public void setSource(java.lang.String src)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getLevelString

    public static final java.lang.String getLevelString(int level)

### getSubject

    public java.lang.String getSubject()

  Specified by:
    `getSubject` in interface `LoggableInterface`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.